DMichaels
Mechanical
- Mar 5, 2002
- 22
How can I read a $PRPSHEET value in VB6 ? I have tried the following without success:
----
Set swApp = CreateObject("SldWorks.Application"
Set Part = swApp.ActiveDoc
Customer_string = "$PRPSHEET:" & Ch(34) "Customer_dwg_name" & Chr(34)
Customer_dwg_name = Part.custominfo2("", "Customer_string"
MsgBox Customer_dwg_name
----
The MsgBox returns nothing. It does not work for standard SW properties. It does not work with $PRP values either.
This does work very nicely for normal custom properties.
----
Set swApp = CreateObject("SldWorks.Application"
Set Part = swApp.ActiveDoc
Customer_string = "$PRPSHEET:" & Ch(34) "Customer_dwg_name" & Chr(34)
Customer_dwg_name = Part.custominfo2("", "Customer_string"
MsgBox Customer_dwg_name
----
The MsgBox returns nothing. It does not work for standard SW properties. It does not work with $PRP values either.
This does work very nicely for normal custom properties.